Bug 1941004 - F34FailsToInstall: ceph-osd, ceph-test, ceph-mon, ceph-base, ceph-common
Summary: F34FailsToInstall: ceph-osd, ceph-test, ceph-mon, ceph-base, ceph-common
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: ceph
Version: 34
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kaleb KEITHLEY
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F34FailsToInstall
TreeView+ depends on / blocked
 
Reported: 2021-03-19 18:03 UTC by Miro Hrončok
Modified: 2021-03-27 00:16 UTC (History)
11 users (show)

Fixed In Version: ceph-16.1.0-0.7.snapshot.fc34
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-03-24 15:29:15 UTC
Type: ---


Attachments (Terms of Use)

Description Miro Hrončok 2021-03-19 18:03:45 UTC
Hello,

Please note that this comment was generated automatically. If you feel that this output has mistakes, please contact me via email (mhroncok@redhat.com).

Your package (ceph) Fails To Install in Fedora 34:

can't install ceph-osd:
  - nothing provides librocksdb.so.6.13()(64bit) needed by ceph-osd-2:16.1.0-0.5.snapshot.fc34.x86_64
  
can't install ceph-test:
  - nothing provides librocksdb.so.6.13()(64bit) needed by ceph-test-2:16.1.0-0.5.snapshot.fc34.x86_64
  
can't install ceph-mon:
  - nothing provides librocksdb.so.6.13()(64bit) needed by ceph-mon-2:16.1.0-0.5.snapshot.fc34.x86_64
  
can't install ceph-base:
  - nothing provides librocksdb.so.6.13()(64bit) needed by ceph-base-2:16.1.0-0.5.snapshot.fc34.x86_64
  
can't install ceph-common:
  - nothing provides librocksdb.so.6.13()(64bit) needed by ceph-common-2:16.1.0-0.5.snapshot.fc34.x86_64
  
If you know about this problem and are planning on fixing it, please acknowledge so by setting the bug status to ASSIGNED. If you don't have time to maintain this package, consider orphaning it, so maintainers of dependent packages realize the problem.


If you don't react accordingly to the policy for FTBFS/FTI bugs (https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/), your package may be orphaned in 8+ weeks.

P.S. The data was generated solely from koji buildroot, so it might be newer than the latest compose or the content on mirrors.

P.P.S. If this bug has been reported in the middle of upgrading multiple dependent packages, please consider using side tags: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/#updating-inter-dependent-packages

Thanks!

Comment 1 Kaleb KEITHLEY 2021-03-19 19:26:54 UTC
yeah, that happens when rocksdb bumps the SONAME with every freakin minor version.

Looks like jonny updated to rocksdb-6.15.5 at the eleventh hour and it was still in testing when I did this build, and rocksdb-6.13.3 was in the build-root.

The next build of ceph-16 will fix it.

Comment 2 Miro Hrončok 2021-03-19 22:05:31 UTC
Let's keep this open until that happens (otherwise you'll get a new bugzilla with the same next time the script runs).

Comment 3 Fedora Update System 2021-03-21 01:05:21 UTC
FEDORA-2021-892073d8d3 has been submitted as an update to Fedora 34. https://bodhi.fedoraproject.org/updates/FEDORA-2021-892073d8d3

Comment 4 Fedora Update System 2021-03-22 01:16:54 UTC
FEDORA-2021-892073d8d3 has been pushed to the Fedora 34 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-892073d8d3`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-892073d8d3

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 5 Fedora Update System 2021-03-25 01:23:40 UTC
FEDORA-2021-9c9d3d9b77 has been pushed to the Fedora 34 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-9c9d3d9b77`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-9c9d3d9b77

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 6 Fedora Update System 2021-03-27 00:16:48 UTC
FEDORA-2021-9c9d3d9b77 has been pushed to the Fedora 34 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.